
QGIS Application - Feature request #1698

Rotation of the map view

2009-05-14 10:15 AM - venturimi -

Status: Closed

Priority: Low

Assignee:

Category: Map Canvas

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 11758

Description

Is desirable to rotate the map view with a function like

*void [[QgsRenderContext]]::setRotation(double degrees) *

it would have to rotate everything from the map layers to the maptool positioning

History

#1 - 2009-11-08 04:04 PM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Open to Closed

I do not see how this can be useful. We now have the possibility of rotating the map in the composer, which may fill you expectations. Feel free to reopen

this if appropriate

#2 - 2013-12-26 04:16 AM - Semen Makhorkin

It's useful in navigation systems, where laptop with QGIS show image for operator and, simultaneously, for a driver.

#3 - 2014-10-17 04:26 AM - Sandro Santilli

- Pull Request or Patch supplied set to No

- Resolution deleted (fixed)

- Assignee deleted (nobody -)

What do you mean by maptool positioning ? Could you send a sketch of how it should look ?
